{% extends "base.html" %}
{% block content %}

<h2>Выберите города отправления и прибытия и дату отправления</h2>
<form action="{{ url_for('filter', id=id) }}" method="post">
    Откуда: <input type="text" placeholder="Город отправления" list="cities" name="cityD" value="{{ di['cityD'][0] }}">

    Куда: <input type="text" placeholder="Город прибытия" list="cities" name="cityA" value="{{ di['cityA'][0] }}">
    <datalist id="cities">
    {% for city in cities %}
    <option value="{{ city['name'] }}"></option>
    {% endfor %}
    </datalist>
    Дата вылета: <input type="date" name="date" value="{{ di['date'][0] }}">

    <input type="submit" value="Найти"><br>
    </form>
    <a href="{{ url_for('info_country', id=id) }}"><input type="submit" value="Сбросить фильтр"></a>
    {% if tour %}
        <table cellpadding="10" width="100%">
        <tr>
            <td align="center" style="font-weight: bolder">
                Дата отправления
            </td>
            <td align="center" style="font-weight: bolder">
                Туроператор
            </td>
            <td align="center" style="font-weight: bolder">
                Город
            </td>
            <td align="center" style="font-weight: bolder">
                Количетсво дней
            </td>
            <td></td>

        </tr>
        {% for row in range %}
            {% if row%2!=0 %}
                <tr>
                    <td>{{tour[row]['date']}}</td>
                    <td>{{ tour[row]['operator'] }}</td>
                    <td>{{tour[row]['city']}}</td>
                    <td>{{tour[row]['duration']}}</td>
                    <td><input type="submit" value="Подробнее"> </td>
                </tr>
            {% else %}
                <tr bgcolor="#a9a9a9">
                    <td>{{tour[row]['date']}}</td>
                    <td>{{ tour[row]['operator'] }}</td>
                    <td>{{tour[row]['city']}}</td>
                    <td>{{tour[row]['duration']}}</td>
                    <td><input type="submit" value="Подробнее"> </td>
                </tr>
            {% endif %}
        {% endfor %}
    {% else %}
        <tr>
            <br><h2>По выбранным фильтрам туры не найдены</h2>
        </tr>
    {% endif %}
</table>

{% endblock %}